org.eclipse.lyo.oslc4j.core.model

## Interface OslcConstants

- All Known Subinterfaces:
    TRSConstants

      public interface OslcConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DCTERMS_NAMESPACE`
    `static String` | `DCTERMS_NAMESPACE_PREFIX`
    `static String` | `OSLC_CORE_DOMAIN`
    `static String` | `OSLC_CORE_NAMESPACE`
    `static String` | `OSLC_CORE_NAMESPACE_PREFIX`
    `static String` | `OSLC_DATA_NAMESPACE`
    `static String` | `OSLC_DATA_NAMESPACE_PREFIX`
    `static String` | `OSLC_USAGE_DEFAULT`
    `static String` | `PATH_ALLOWED_VALUES`
    `static String` | `PATH_COMPACT`
    `static String` | `PATH_CREATION_FACTORY`
    `static String` | `PATH_DIALOG`
    `static String` | `PATH_ERROR`
    `static String` | `PATH_EXTENDED_ERROR`
    `static String` | `PATH_OAUTH_CONFIGURATION`
    `static String` | `PATH_PREFIX_DEFINITION`
    `static String` | `PATH_PREVIEW`
    `static String` | `PATH_PROPERTY`
    `static String` | `PATH_PUBLISHER`
    `static String` | `PATH_QUERY_CAPABILITY`
    `static String` | `PATH_RESOURCE_SHAPE`
    `static String` | `PATH_RESOURCE_SHAPES`
    `static String` | `PATH_SERVICE`
    `static String` | `PATH_SERVICE_PROVIDER`
    `static String` | `PATH_SERVICE_PROVIDER_CATALOG`
    `static String` | `RDF_NAMESPACE`
    `static String` | `RDF_NAMESPACE_PREFIX`
    `static String` | `RDFS_NAMESPACE`
    `static String` | `RDFS_NAMESPACE_PREFIX`
    `static String` | `TYPE_ALLOWED_VALUES`
    `static String` | `TYPE_COMPACT`
    `static String` | `TYPE_CONTAINER`
    `static String` | `TYPE_CREATION_FACTORY`
    `static String` | `TYPE_DIALOG`
    `static String` | `TYPE_ERROR`
    `static String` | `TYPE_EXTENDED_ERROR`
    `static String` | `TYPE_O_AUTH_CONFIGURATION`
    `static String` | `TYPE_PREFIX_DEFINITION`
    `static String` | `TYPE_PREVIEW`
    `static String` | `TYPE_PROPERTY`
    `static String` | `TYPE_PUBLISHER`
    `static String` | `TYPE_QUERY_CAPABILITY`
    `static String` | `TYPE_RESOURCE_SHAPE`
    `static String` | `TYPE_RESPONSE_INFO`
    `static String` | `TYPE_SERVICE`
    `static String` | `TYPE_SERVICE_PROVIDER`
    `static String` | `TYPE_SERVICE_PROVIDER_CATALOG`
    `static String` | `XML_NAMESPACE`

- - ### Field Detail

    - #### OSLC_CORE_DOMAIN

          static final String OSLC_CORE_DOMAIN

      See Also:
        Constant Field Values

    - #### DCTERMS_NAMESPACE

          static final String DCTERMS_NAMESPACE

      See Also:
        Constant Field Values

    - #### OSLC_CORE_NAMESPACE

          static final String OSLC_CORE_NAMESPACE

      See Also:
        Constant Field Values

    - #### OSLC_DATA_NAMESPACE

          static final String OSLC_DATA_NAMESPACE

      See Also:
        Constant Field Values

    - #### RDF_NAMESPACE

          static final String RDF_NAMESPACE

      See Also:
        Constant Field Values

    - #### RDFS_NAMESPACE

          static final String RDFS_NAMESPACE

      See Also:
        Constant Field Values

    - #### XML_NAMESPACE

          static final String XML_NAMESPACE

      See Also:
        Constant Field Values

    - #### DCTERMS_NAMESPACE_PREFIX

          static final String DCTERMS_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### OSLC_CORE_NAMESPACE_PREFIX

          static final String OSLC_CORE_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### OSLC_DATA_NAMESPACE_PREFIX

          static final String OSLC_DATA_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### RDF_NAMESPACE_PREFIX

          static final String RDF_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### RDFS_NAMESPACE_PREFIX

          static final String RDFS_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### OSLC_USAGE_DEFAULT

          static final String OSLC_USAGE_DEFAULT

      See Also:
        Constant Field Values

    - #### TYPE_ALLOWED_VALUES

          static final String TYPE_ALLOWED_VALUES

      See Also:
        Constant Field Values

    - #### TYPE_COMPACT

          static final String TYPE_COMPACT

      See Also:
        Constant Field Values

    - #### TYPE_CREATION_FACTORY

          static final String TYPE_CREATION_FACTORY

      See Also:
        Constant Field Values

    - #### TYPE_DIALOG

          static final String TYPE_DIALOG

      See Also:
        Constant Field Values

    - #### TYPE_ERROR

          static final String TYPE_ERROR

      See Also:
        Constant Field Values

    - #### TYPE_EXTENDED_ERROR

          static final String TYPE_EXTENDED_ERROR

      See Also:
        Constant Field Values

    - #### TYPE_O_AUTH_CONFIGURATION

          static final String TYPE_O_AUTH_CONFIGURATION

      See Also:
        Constant Field Values

    - #### TYPE_PREFIX_DEFINITION

          static final String TYPE_PREFIX_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_PREVIEW

          static final String TYPE_PREVIEW

      See Also:
        Constant Field Values

    - #### TYPE_PROPERTY

          static final String TYPE_PROPERTY

      See Also:
        Constant Field Values

    - #### TYPE_PUBLISHER

          static final String TYPE_PUBLISHER

      See Also:
        Constant Field Values

    - #### TYPE_QUERY_CAPABILITY

          static final String TYPE_QUERY_CAPABILITY

      See Also:
        Constant Field Values

    - #### TYPE_RESOURCE_SHAPE

          static final String TYPE_RESOURCE_SHAPE

      See Also:
        Constant Field Values

    - #### TYPE_RESPONSE_INFO

          static final String TYPE_RESPONSE_INFO

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE

          static final String TYPE_SERVICE

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_PROVIDER

          static final String TYPE_SERVICE_PROVIDER

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_PROVIDER_CATALOG

          static final String TYPE_SERVICE_PROVIDER_CATALOG

      See Also:
        Constant Field Values

    - #### TYPE_CONTAINER

          static final String TYPE_CONTAINER

      See Also:
        Constant Field Values

    - #### PATH_RESOURCE_SHAPES

          static final String PATH_RESOURCE_SHAPES

      See Also:
        Constant Field Values

    - #### PATH_ALLOWED_VALUES

          static final String PATH_ALLOWED_VALUES

      See Also:
        Constant Field Values

    - #### PATH_CREATION_FACTORY

          static final String PATH_CREATION_FACTORY

      See Also:
        Constant Field Values

    - #### PATH_COMPACT

          static final String PATH_COMPACT

      See Also:
        Constant Field Values

    - #### PATH_DIALOG

          static final String PATH_DIALOG

      See Also:
        Constant Field Values

    - #### PATH_ERROR

          static final String PATH_ERROR

      See Also:
        Constant Field Values

    - #### PATH_EXTENDED_ERROR

          static final String PATH_EXTENDED_ERROR

      See Also:
        Constant Field Values

    - #### PATH_OAUTH_CONFIGURATION

          static final String PATH_OAUTH_CONFIGURATION

      See Also:
        Constant Field Values

    - #### PATH_PREFIX_DEFINITION

          static final String PATH_PREFIX_DEFINITION

      See Also:
        Constant Field Values

    - #### PATH_PREVIEW

          static final String PATH_PREVIEW

      See Also:
        Constant Field Values

    - #### PATH_PROPERTY

          static final String PATH_PROPERTY

      See Also:
        Constant Field Values

    - #### PATH_PUBLISHER

          static final String PATH_PUBLISHER

      See Also:
        Constant Field Values

    - #### PATH_QUERY_CAPABILITY

          static final String PATH_QUERY_CAPABILITY

      See Also:
        Constant Field Values

    - #### PATH_RESOURCE_SHAPE

          static final String PATH_RESOURCE_SHAPE

      See Also:
        Constant Field Values

    - #### PATH_SERVICE

          static final String PATH_SERVICE

      See Also:
        Constant Field Values

    - #### PATH_SERVICE_PROVIDER

          static final String PATH_SERVICE_PROVIDER

      See Also:
        Constant Field Values

    - #### PATH_SERVICE_PROVIDER_CATALOG

          static final String PATH_SERVICE_PROVIDER_CATALOG

      See Also:
        Constant Field Values

Copyright © 2016. All rights reserved.